Bug 10786 - Jabber on AMD64
: Jabber on AMD64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/centericq)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-07 12:20 by
Modified: 2007-02-17 00:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-07 12:20:42
Jabber protocol doesn't work on AMD 64
Please applay following patch:

diff -ur centericq-4.21.0/libjabber-0.1/libxode.h
centericq-4.21.0-amd64-jabber/libjabber-0.1/libxode.h
--- centericq-4.21.0/libjabber-0.1/libxode.h    2005-02-10 03:36:26 +0300
+++ centericq-4.21.0-amd64-jabber/libjabber-0.1/libxode.h       2007-02-07
18:49:56 +0300
@@ -424,10 +424,10 @@
  */

 typedef struct {
-  unsigned long H[5];
-  unsigned long W[80];
+  uint32_t H[5];
+  uint32_t W[80];
   int lenW;
-  unsigned long sizeHi,sizeLo;
+  uint32_t sizeHi,sizeLo;
 } SHA_CTX;

Steps to Reproduce:
1.run centericq on amd 64 platform
2.try to connect to any jabber server
3.error 401
------- Comment #1 From 2007-02-17 00:52:37 -------
patch applied in centericq-4.21.0-alt5